Index: /branches/OKB/HeuristicLab.Clients.OKB-3.3/AdministrationView.Designer.cs
===================================================================
--- /branches/OKB/HeuristicLab.Clients.OKB-3.3/AdministrationView.Designer.cs	(revision 4420)
+++ /branches/OKB/HeuristicLab.Clients.OKB-3.3/AdministrationView.Designer.cs	(revision 4421)
@@ -49,6 +49,4 @@
       this.algorithmsTabPage = new System.Windows.Forms.TabPage();
       this.refreshAlgorithmsButton = new System.Windows.Forms.Button();
-      this.algorithmCollectionView = new HeuristicLab.Clients.OKB.AlgorithmCollectionView();
-      this.algorithmClassCollectionView = new HeuristicLab.Clients.OKB.AlgorithmClassCollectionView();
       this.refreshAlgorithmClassesButton = new System.Windows.Forms.Button();
       this.tabControl.SuspendLayout();
@@ -73,5 +71,4 @@
       // 
       this.algorithmClassesTabPage.Controls.Add(this.refreshAlgorithmClassesButton);
-      this.algorithmClassesTabPage.Controls.Add(this.algorithmClassCollectionView);
       this.algorithmClassesTabPage.Location = new System.Drawing.Point(4, 22);
       this.algorithmClassesTabPage.Name = "algorithmClassesTabPage";
@@ -85,5 +82,4 @@
       // 
       this.algorithmsTabPage.Controls.Add(this.refreshAlgorithmsButton);
-      this.algorithmsTabPage.Controls.Add(this.algorithmCollectionView);
       this.algorithmsTabPage.Location = new System.Drawing.Point(4, 22);
       this.algorithmsTabPage.Name = "algorithmsTabPage";
@@ -104,30 +100,4 @@
       this.refreshAlgorithmsButton.UseVisualStyleBackColor = true;
       this.refreshAlgorithmsButton.Click += new System.EventHandler(this.refreshAlgorithmsButton_Click);
-      // 
-      // algorithmCollectionView
-      // 
-      this.algorithmCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.algorithmCollectionView.Caption = "AlgorithmCollection View";
-      this.algorithmCollectionView.Content = null;
-      this.algorithmCollectionView.Location = new System.Drawing.Point(6, 6);
-      this.algorithmCollectionView.Name = "algorithmCollectionView";
-      this.algorithmCollectionView.ReadOnly = false;
-      this.algorithmCollectionView.Size = new System.Drawing.Size(707, 368);
-      this.algorithmCollectionView.TabIndex = 0;
-      // 
-      // algorithmClassCollectionView
-      // 
-      this.algorithmClassCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.algorithmClassCollectionView.Caption = "AlgorithmClassCollection View";
-      this.algorithmClassCollectionView.Content = null;
-      this.algorithmClassCollectionView.Location = new System.Drawing.Point(6, 6);
-      this.algorithmClassCollectionView.Name = "algorithmClassCollectionView";
-      this.algorithmClassCollectionView.ReadOnly = false;
-      this.algorithmClassCollectionView.Size = new System.Drawing.Size(707, 368);
-      this.algorithmClassCollectionView.TabIndex = 0;
       // 
       // refreshAlgorithmClassesButton
@@ -162,7 +132,5 @@
     private System.Windows.Forms.TabPage algorithmsTabPage;
     private System.Windows.Forms.Button refreshAlgorithmsButton;
-    private AlgorithmCollectionView algorithmCollectionView;
     private System.Windows.Forms.Button refreshAlgorithmClassesButton;
-    private AlgorithmClassCollectionView algorithmClassCollectionView;
 
   }
Index: /branches/OKB/HeuristicLab.Clients.OKB-3.3/AdministrationView.cs
===================================================================
--- /branches/OKB/HeuristicLab.Clients.OKB-3.3/AdministrationView.cs	(revision 4420)
+++ /branches/OKB/HeuristicLab.Clients.OKB-3.3/AdministrationView.cs	(revision 4421)
@@ -23,5 +23,4 @@
 using System.Windows.Forms;
 using HeuristicLab.Clients.Common;
-using HeuristicLab.Clients.OKB.AdminService;
 using HeuristicLab.MainForm;
 using HeuristicLab.PluginInfrastructure;
@@ -37,5 +36,4 @@
       using (AdminServiceClient adminService = ClientFactory.CreateClient<AdminServiceClient, IAdminService>()) {
         try {
-          algorithmClassCollectionView.Content = new EntityCollection<AlgorithmClass>(adminService.GetAlgorithmClasses());
         }
         catch (Exception ex) {
@@ -48,5 +46,4 @@
       using (AdminServiceClient adminService = ClientFactory.CreateClient<AdminServiceClient, IAdminService>()) {
         try {
-          algorithmCollectionView.Content = new EntityCollection<Algorithm>(adminService.GetAlgorithms());
         }
         catch (Exception ex) {
Index: /branches/OKB/HeuristicLab.Clients.OKB-3.3/Extensions.cs
===================================================================
--- /branches/OKB/HeuristicLab.Clients.OKB-3.3/Extensions.cs	(revision 4420)
+++ /branches/OKB/HeuristicLab.Clients.OKB-3.3/Extensions.cs	(revision 4421)
@@ -20,56 +20,17 @@
 #endregion
 
-using System;
 using System.ComponentModel;
-using System.Drawing;
-using HeuristicLab.Collections;
-using HeuristicLab.Common;
+using HeuristicLab.Core;
 
-namespace HeuristicLab.Clients.OKB.AdminService {
-  public interface IEntity : IContent, INotifyPropertyChanged {
-    Image EntityImage { get; }
-
-    event EventHandler EntityImageChanged;
-    event EventHandler ToStringChanged;
-  }
-
-  public interface INamedEntity : IEntity {
+namespace HeuristicLab.Clients.OKB {
+  public interface INamedEntity : IItem, INotifyPropertyChanged {
     string Name { get; set; }
     string Description { get; set; }
   }
 
-  public interface IEntityCollection<T> : IObservableCollection<T>, IEntity where T : class, IEntity { }
-
-  public partial class AlgorithmClass : INamedEntity {
-    public Image EntityImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Class; }
-    }
-
-    public event EventHandler EntityImageChanged;
-    protected virtual void OnEntityImageChanged() {
-      EventHandler handler = EntityImageChanged;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-    public event EventHandler ToStringChanged;
-    protected virtual void OnToStringChanged() {
-      EventHandler handler = ToStringChanged;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
+  [Item("AlgorithmClass", "An OKB algorithm class.")]
+  public sealed partial class AlgorithmClass : INamedEntity {
   }
   public partial class Algorithm : INamedEntity {
-    public Image EntityImage {
-      get { return HeuristicLab.Common.Resources.VS2008ImageLibrary.Class; }
-    }
-
-    public event EventHandler EntityImageChanged;
-    protected virtual void OnEntityImageChanged() {
-      EventHandler handler = EntityImageChanged;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
-    public event EventHandler ToStringChanged;
-    protected virtual void OnToStringChanged() {
-      EventHandler handler = ToStringChanged;
-      if (handler != null) handler(this, EventArgs.Empty);
-    }
   }
 }
Index: /branches/OKB/HeuristicLab.Clients.OKB-3.3/GenerateServiceClients.cmd
===================================================================
--- /branches/OKB/HeuristicLab.Clients.OKB-3.3/GenerateServiceClients.cmd	(revision 4421)
+++ /branches/OKB/HeuristicLab.Clients.OKB-3.3/GenerateServiceClients.cmd	(revision 4421)
@@ -0,0 +1,11 @@
+svcutil.exe ^
+  http://localhost:8732/Design_Time_Addresses/OKB-3.3/AdminService/mex ^
+  /out:ServiceClients ^
+  /namespace:*,HeuristicLab.Clients.OKB ^
+  /targetClientVersion:Version35 ^
+  /async ^
+  /enableDataBinding ^
+  /reference:"C:\Program Files\HeuristicLab 3.3\HeuristicLab.Core-3.3.dll" ^
+  /collectionType:HeuristicLab.Core.ItemCollection`1 ^
+  /mergeConfig ^
+  /config:app.config
Index: /branches/OKB/HeuristicLab.Clients.OKB-3.3/HeuristicLab.Clients.OKB-3.3.csproj
===================================================================
--- /branches/OKB/HeuristicLab.Clients.OKB-3.3/HeuristicLab.Clients.OKB-3.3.csproj	(revision 4420)
+++ /branches/OKB/HeuristicLab.Clients.OKB-3.3/HeuristicLab.Clients.OKB-3.3.csproj	(revision 4421)
@@ -45,4 +45,5 @@
     <Reference Include="HeuristicLab.Common-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
     <Reference Include="HeuristicLab.Common.Resources-3.3, Version=3.2.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
+    <Reference Include="HeuristicLab.Core-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
     <Reference Include="HeuristicLab.Core.Views-3.3, Version=3.3.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL" />
     <Reference Include="HeuristicLab.MainForm-3.3">
@@ -71,10 +72,4 @@
   <ItemGroup>
     <Compile Include="AdministrationMenuItem.cs" />
-    <Compile Include="AlgorithmCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="AlgorithmCollectionView.Designer.cs">
-      <DependentUpon>AlgorithmCollectionView.cs</DependentUpon>
-    </Compile>
     <Compile Include="Extensions.cs" />
     <Compile Include="HeuristicLabClientsOKBPlugin.cs" />
@@ -85,17 +80,4 @@
       <DependentUpon>AdministrationView.cs</DependentUpon>
     </Compile>
-    <Compile Include="EntityCollection.cs" />
-    <Compile Include="EntityCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="EntityCollectionView.Designer.cs">
-      <DependentUpon>EntityCollectionView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="EntityView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="EntityView.Designer.cs">
-      <DependentUpon>EntityView.cs</DependentUpon>
-    </Compile>
     <Compile Include="NamedEntityView.cs">
       <SubType>UserControl</SubType>
@@ -104,44 +86,9 @@
       <DependentUpon>NamedEntityView.cs</DependentUpon>
     </Compile>
-    <Compile Include="AlgorithmClassCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="AlgorithmClassCollectionView.Designer.cs">
-      <DependentUpon>AlgorithmClassCollectionView.cs</DependentUpon>
-    </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="ReadOnlyEntityCollection.cs" />
-    <Compile Include="Service References\AdminService\Reference.cs">
-      <AutoGen>True</AutoGen>
-      <DesignTime>True</DesignTime>
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </Compile>
+    <Compile Include="ServiceClients.cs" />
     <None Include="app.config" />
+    <None Include="GenerateServiceClients.cmd" />
     <None Include="Properties\AssemblyInfo.frame" />
-    <None Include="Service References\AdminService\HeuristicLab.Clients.OKB.AdminService.Algorithm.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\AdminService\HeuristicLab.Clients.OKB.AdminService.AlgorithmClass.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\AdminService\HeuristicLab.Clients.OKB.AdminService.Platform.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\AdminService\HeuristicLab.Clients.OKB.AdminService.Problem.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\AdminService\HeuristicLab.Services.OKB.DataAccess.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\AdminService\service.wsdl" />
-    <None Include="Service References\AdminService\service.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\AdminService\service1.xsd">
-      <SubType>Designer</SubType>
-    </None>
-    <None Include="Service References\AdminService\System.Data.Linq.xsd">
-      <SubType>Designer</SubType>
-    </None>
     <None Include="UpdateLocalInstallation.cmd" />
   </ItemGroup>
@@ -151,25 +98,7 @@
   </ItemGroup>
   <ItemGroup>
-    <WCFMetadata Include="Service References\" />
-  </ItemGroup>
-  <ItemGroup>
     <EmbeddedResource Include="AdministrationView.resx">
       <DependentUpon>AdministrationView.cs</DependentUpon>
     </EmbeddedResource>
-  </ItemGroup>
-  <ItemGroup>
-    <WCFMetadataStorage Include="Service References\AdminService\" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Service References\AdminService\configuration91.svcinfo" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Service References\AdminService\configuration.svcinfo" />
-  </ItemGroup>
-  <ItemGroup>
-    <None Include="Service References\AdminService\Reference.svcmap">
-      <Generator>WCF Proxy Generator</Generator>
-      <LastGenOutput>Reference.cs</LastGenOutput>
-    </None>
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /branches/OKB/HeuristicLab.Clients.OKB-3.3/HeuristicLabClientsOKBPlugin.cs.frame
===================================================================
--- /branches/OKB/HeuristicLab.Clients.OKB-3.3/HeuristicLabClientsOKBPlugin.cs.frame	(revision 4420)
+++ /branches/OKB/HeuristicLab.Clients.OKB-3.3/HeuristicLabClientsOKBPlugin.cs.frame	(revision 4421)
@@ -32,4 +32,5 @@
   [PluginDependency("HeuristicLab.Common", "3.3")]
   [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Core.Views", "3.3")]
   [PluginDependency("HeuristicLab.MainForm", "3.3")]
Index: /branches/OKB/HeuristicLab.Clients.OKB-3.3/NamedEntityView.cs
===================================================================
--- /branches/OKB/HeuristicLab.Clients.OKB-3.3/NamedEntityView.cs	(revision 4420)
+++ /branches/OKB/HeuristicLab.Clients.OKB-3.3/NamedEntityView.cs	(revision 4421)
@@ -23,5 +23,4 @@
 using System.ComponentModel;
 using System.Windows.Forms;
-using HeuristicLab.Clients.OKB.AdminService;
 using HeuristicLab.Core.Views;
 using HeuristicLab.MainForm;
@@ -31,5 +30,5 @@
   [View("NamedEntoty View")]
   [Content(typeof(INamedEntity), false)]
-  public partial class NamedEntityView : EntityView {
+  public partial class NamedEntityView : ItemView {
     public new INamedEntity Content {
       get { return (INamedEntity)base.Content; }
